prometheus_client_shelf 0.4.0+4

Dart native js
Flutter Android iOS web

Dart implementation of the Prometheus client library providing a shelf integration.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:

dependencies:
  prometheus_client_shelf: ^0.4.0+4

2. Install it

You can install packages from the command line:

with pub:

$ pub get

with Flutter:

$ flutter pub get

Alternatively, your editor might support pub get or flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:

import 'package:prometheus_client_shelf/shelf_handler.dart';
import 'package:prometheus_client_shelf/shelf_metrics.dart';
4
likes
110
pub points
50%
popularity

Publisher

tentaclelabs.com

Dart implementation of the Prometheus client library providing a shelf integration.

Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

collection, prometheus_client, shelf

More

Packages that depend on prometheus_client_shelf